# Understanding and Mitigating Miscalibration in Prompt Tuning for Vision-Language Models


We follow the official implementation for  [Open-Vocabulary Calibration for Fine-tuned CLIP 🔗](https://arxiv.org/abs/2402.04655) at ICML 2024.


## Setup

**1. Installation** 

For installation and other package requirements, please follow the instructions detailed in [INSTALL.md](docs/INSTALL.md).

**2. Data preparation**

Please follow the instructions at [DATASETS.md](docs/DATASETS.md) to prepare all datasets.


## Quick Start

Please refer to ``./run`` for more info about our scripts. 

**1. Tuning & Evaluation** 

```bash
GPU_ID=1 # replace it with your GPU ID
bash run/classification/zeroshot.sh ${GPU_ID} # zero-shot CLIP
bash run/classification/fewshot.sh ${GPU_ID} # fine-tuned CLIP
```

